{
    attributes = (
        {
            columnName = "D_CREATION"; 
            externalType = TIMESTAMP; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = TIMESTAMP; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "PBACC_ORDRE"; 
            externalType = NUMBER; 
            name = pbaccOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PBAC_ID"; 
            externalType = NUMBER; 
            name = pbacId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PBAC_ORDRE"; 
            externalType = NUMBER; 
            name = pbacOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (pbaccOrdre); 
    className = "org.cocktail.connecteur.serveur.modele.correspondance.EOPersBudgetActionCorresp"; 
    classProperties = (dCreation, dModification, toManguePersBudgetAction, toPersBudgetAction); 
    externalName = "IMPORT.PERS_BUDGET_ACTION_CORRESP"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {"_clientClassPropertyNames" = (dCreation, dModification); }; 
    name = PersBudgetActionCorresp; 
    primaryKeyAttributes = (pbaccOrdre); 
    relationships = (
        {
            destination = ManguePersBudgetAction; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = pbacId; sourceAttribute = pbacId; }); 
            name = toManguePersBudgetAction; 
        }, 
        {
            destination = PersBudgetAction; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = pbacOrdre; sourceAttribute = pbacOrdre; }); 
            name = toPersBudgetAction; 
        }
    ); 
    userInfo = {"_EntityModeler" = {parentClassName = ObjetCorresp; }; }; 
}
